%define module	AcePerl
%define name	perl-%{module}
%define version	1.87
%define release	3mdk
%define _requires_exceptions perl(Ace::Browser::LocalSiteDefs)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface for the ACEDB object-oriented database
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{module}-%{version}.tar.bz2
Patch:		%{name}.makefile.patch.bz2
Url:		http://www.cpan.org
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-devel

%description
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data. For others, it is a good open source introduction to
the world of object-oriented databases

%prep
%setup -q -n %{module}-%{version}
%patch

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README README.ACEBROWSER DISCLAIMER.txt ChangeLog docs examples
%{_bindir}/*
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-3mdk 
- rebuild for new perl

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-1mdk
- new version
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.86-2mdk
- Macroize
- %%makeinstall_std

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.86-1mdk
- 1.86

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.83-1mdk
- first mdk relase
